import java.util.ArrayList;
import java.util.List;

public class TSSTable {
	private List<TSSRow> rows = new ArrayList<TSSRow>();

	public List<TSSRow> getRows() {
		return rows;
	}

	public void addRow(TSSRow row) {
		rows.add(row);
	}

	public void setRows(List<TSSRow> rows) {
		this.rows = rows;
	}

	@Override
	public String toString() {
		return "TSSTable [rows=\n" + rows + "]";
	}
	
	public String toHtml() {
		StringBuffer result = new StringBuffer();
		for (int i=0; i < rows.size(); i++) {
			TSSRow row = rows.get(i);
			result.append(row.toHtml());
		}
		return result.toString();
	}

}
